### org.jfree.layouting

# Class DocumentContextUtility

- `java.lang.Object`
- - `org.jfree.layouting.DocumentContextUtility`

`public class DocumentContextUtility`
`extends java.lang.Object`

Creation-Date: 13.04.2006, 12:11:20

Author:
  Thomas Morgner

  ## Method Summary

  `static ResourceKey`

  `getBaseResource(DocumentContext context)`

  `static Date`

  `getDate(DocumentContext context)`

  `static LayoutStyle`

  `getInitialStyle(DocumentContext context)`

  `static LocalizationContext`

  `getLocalizationContext(DocumentContext context)`

  `static ResourceManager`

  `getResourceManager(DocumentContext context)`

  `static StyleRuleMatcher`

  `getStyleRuleMatcher(DocumentContext context)`

## Method Details

### getBaseResource

    public static ResourceKey getBaseResource(DocumentContext context)

### getDate

    public static Date getDate(DocumentContext context)

### getInitialStyle

    public static LayoutStyle getInitialStyle(DocumentContext context)

### getLocalizationContext

    public static LocalizationContext getLocalizationContext(DocumentContext context)

### getResourceManager

    public static ResourceManager getResourceManager(DocumentContext context)

### getStyleRuleMatcher

    public static StyleRuleMatcher getStyleRuleMatcher(DocumentContext context)